// Print to WMEM to make a packet in 'working memory'

void toggle(u8 *) {
  ledToggle(BODY_RGB_GREEN_PIN);
}

void setup() {
  Body.reflex('t',toggle);     // Set up reflex
}

void loop() {
  if (buttonDown()) {           // If button is pushed
    facePrintf(WMEM,"t\n");     // Send a blink packet to ourselves
    while (buttonDown()) delay(1); // And wait for button up
  }
}
